Runtime

## org.eclipse.gmf.runtime.notation
Interface ListValueStyle

All Superinterfaces:
  DataTypeStyle, org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, StringObjectConverter, Style

All Known Implementing Classes:
  ListValueStyleImpl

    public interface ListValueStyle

extends DataTypeStyle

A representation of the model object 'List Value Style'.

The following features are supported:

- `Raw Values List`

See Also:
  `NotationPackage.getListValueStyle()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList` `getRawValuesList()` Returns the value of the 'Raw Values List' attribute list.

Methods inherited from interface org.eclipse.gmf.runtime.notation.DataTypeStyle
`getInstanceType, setInstanceType`

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.runtime.notation.StringObjectConverter
`getObjectFromString, getStringFromObject`

Method Detail

### getRawValuesList

    org.eclipse.emf.common.util.EList getRawValuesList()

  Returns the value of the 'Raw Values List' attribute list. The list contents are of type `String`.

  If the meaning of the 'Raw Values List' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Raw Values List' attribute list.
  See Also:
    `NotationPackage.getListValueStyle_RawValuesList()`
  ** Generated **
  Model:
    unique="false"

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.